**Figure:** Redshift posterior predictive check

##### Data

The data used to create the following plot is created in a post-processing step in the [`GWPopulation-pipe`](https://git.ligo.org/colm.talbot/gwpopulation_pipe/-/tree/review). The output [population](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples) and [event](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Event_Samples) samples files are passed to `gwpopulation_pipe_to_common_format` to generate the following files.

* o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5

This file was generated using the following command:

```bash
gwpopulation_pipe_to_common_format 
				   --result-file ../../Population_Samples/evolving_redshift/o1o2o3_no_190814_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json 
				   --samples-file ../../Event_Samples/evolving_redshift/o1o2o3_no_190814_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_samples.hdf5 
				   --models SmoothedMassDistribution --models iid_spin_magnitude --models iid_spin_orientation --models gwpopulation.models.redshift.PowerLawRedshift 
				   --vt-models SmoothedMassDistribution --vt-models gwpopulation.models.redshift.PowerLawRedshift 
				   --injection-file /home/colm.talbot/O3/population/review/o1_o2_o3a_vt_data_aligned_low_spin.hdf5 
				   --filename o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5
```

##### Reading and plotting data

An example plotting script showing how to read and plot the data is provided:

```bash
python ../Scripts/posterior_predictive_plots.py --sample-file o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5 --model c --parameters redshift

```

This produces the following figure [redshift_cdf_filled_90.png](https://git.ligo.org/shanika.galaudage/o3-pop/-/blob/reorder_dir_update_docs/Figures_and_Tables/Fig-26-redshift-ppc/redshift_cdf_filled_90.png)